Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stax.converter.util
Interface ExtendedNamespaceContext

All Superinterfaces:
  NamespaceContext

All Known Implementing Classes:
  SimpleNamespaceContext

    public interface ExtendedNamespaceContext

extends NamespaceContext

Extended namespace context interface that allows the context tree to be navigated and to list all known prefixes.

Version:
  $Revision: 1.1 $, from stax-utils stable version stax-utils-20070216

Method Summary
`Iterator<?>` | `getDeclaredPrefixes()` Returns an `Iterator` of all namespace prefixes declared within this context, irrespective of any ancestor contexts.
`NamespaceContext` | `getParent()` Returns a reference to the parent of this context.
`Iterator<?>` | `getPrefixes()` Returns an `Iterator` of all namespace prefixes in scope within this context, including those inherited from ancestor contexts.
`boolean` | `isPrefixDeclared(String prefix)` Determines if the specified prefix is declared within this context, irrespective of any ancestor contexts.

Methods inherited from interface javax.xml.namespace.NamespaceContext
`getNamespaceURI, getPrefix, getPrefixes`

Method Detail

### getParent

    NamespaceContext getParent()

  Returns a reference to the parent of this context.

  Returns:
    The parent context, or `null` if this is a root context.

### isPrefixDeclared

    boolean isPrefixDeclared(String prefix)

  Determines if the specified prefix is declared within this context, irrespective of any ancestor contexts.

  Parameters:
    `prefix` - The prefix to check.
  Returns:
    `true` if the prefix is declared in this context, `false` otherwise.

### getPrefixes

    Iterator<?> getPrefixes()

  Returns an `Iterator` of all namespace prefixes in scope within this context, including those inherited from ancestor contexts.

  Returns:
    An `Iterator` of prefix `String`s.

### getDeclaredPrefixes

    Iterator<?> getDeclaredPrefixes()

  Returns an `Iterator` of all namespace prefixes declared within this context, irrespective of any ancestor contexts.

  Returns:
    An `Iterator` of prefix `String`s.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.